package no.ntnu.vegare.visualizer.client.connection;

/**
 * <p>Separate between:</p>
 * 
 * <ul>
 * 	<li>Unencrypted HTTP</li>
 * 	<li>HTTPS without trusted chain verification</li>
 * 	<li>HTTPS with trusted chain verification</li>
 * </ul>
 * 
 * @author vegare
 *
 */
public enum ConnectionType {
	HTTP_CONNECTION,
	HTTPS_UNTRUSTED,
	HTTPS_TRUSTED
}
