package no.ntnu.vegare.visualizer.client.connection;

/**
 * <p>Model containing data for a single HTTP response.</p>
 * 
 * @author vegare
 *
 */
public class HttpsResponse {
	
	private int responseCode;
	private String responseMessage;
	private String content;

	public HttpsResponse() {
		responseCode = -1;
		responseMessage = "";
		content = "";
	}
	
	public int getResponseCode() {
		return responseCode;
	}

	public void setResponseCode(int responseCode) {
		this.responseCode = responseCode;
	}
	
	public String getResponseMessage() {
		return responseMessage;
	}

	public void setResponseMessage(String responseMessage) {
		this.responseMessage = responseMessage;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}
}
