package no.ntnu.vegare.visualizer.client.db;

import java.util.Collection;

/**
 * <p>Must be implemented by each database observer.</p>
 * 
 * @author vegare
 *
 */
public interface DatabaseObserver {

	/**
	 * New entries has been added to the database.
	 * 
	 * @param entries Collection of entries.
	 */
	public void entriesAdded(Collection<LogEntry> entries);
}
